; AutoIt Version: 3.3
; Language:       English
; Platform:       Win9x/NT
; Author:         kargas
#NoTrayIcon
#Include <string.au3>
#include <Misc.au3>
#include <GUIConstantsEx.au3>
#include <GUIComboBox.au3>
#include <WindowsConstants.au3>
#include <StaticConstants.au3>
#include <ButtonConstants.au3>
#Include <file.au3>

if _Singleton("KMBimporter",0) = 0 Then
exit
endif

;$Target=(@scriptdir & "\dd2.txt")
;$Source=(@scriptdir & "\ddf1.txt")
;$append=FileRead($Source)
;_FileWriteToLine($Target, 1, $append, 1)

if $cmdline[0]=0 then
msgbox(48, "error", "KMB must run from K-Meleon", 10)
exit
endif

$fireshitprof=(@AppDataDir & "\mozilla\firefox\profiles.ini")
$fireshitinit=(@AppDataDir & "\mozilla\firefox\")
$getffprof=IniRead($fireshitprof, "Profile0", "Path", "NotFound")
$makright=stringreplace($getffprof, "/", "\")
$ffbookmark1=($fireshitinit & $makright)
$ffbookmark=($ffbookmark1 & "\bookmarks.html")
;msgbox(48, $ffbookmark, $ffbookmark)

;for kmeleon
$kmbookmark=($cmdline[1] & "\bookmarks.html")


if fileexists($ffbookmark) then
;msgbox(48, "found the bugger", "found the bugger")
$infotip=("(firefox bookmarks located)")
$infotip2=("tip: import other bookmarks by using the browse button")
$bookinput=$ffbookmark
else
$infotip=("(firefox bookmarks not located)")
$infotip2=("tip: import other bookmarks by using the browse button")
$bookinput=(" firefox bookmarks not found")
endif

if fileexists($kmbookmark) then
$targetbook=($kmbookmark)
$targetpath=($cmdline[1])
$infotip3=("helper: you can also merge the bookmarks by selecting the merge box")
else
$targetpath=($cmdline[1])
$targetbook=($cmdline[1])
$infotip3=("helper: k-meleon bookmarks could not be found and the merge option has been disabled. you can still import bookmarks to k-meleon but not merge")
endif
importbookies()

func importbookies()
$hGUI = GUICreate("K-Meleon Bookmarks Importer",323,160)
$Label1 = GUICtrlCreateLabel("select bookmarks file:", 10, 4, 120, 15)
$bookies=GUICtrlCreateInput($bookinput, 10, 20, 300, 22)
$browsebooks = GUICtrlCreateButton("browse",210,50,100, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$apply = GUICtrlCreateButton("import!",210,90,100, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$cancbutton = GUICtrlCreateButton("exit",210,118,100, 22, BitOR($BS_FLAT, $WS_BORDER, $WS_EX_STATICEDGE))
$kmmerge= GUICtrlCreateCheckbox("merge with k-meleon bookmarks", 10, 44, 200, 20)
;$deco1 = GUICtrlCreateLabel("",5, 1, 315, 74,$SS_ETCHEDFRAME)
$Label2 = GUICtrlCreateLabel($infotip, 140, 4, 150, 15)
$Label3 = GUICtrlCreateLabel($infotip3, 10, 85, 194, 80)
$Label4 = GUICtrlCreateLabel($infotip2, 10, 145, 300, 20)
if $targetbook=$targetpath then
GUICtrlSetState($kmmerge, $GUI_DISABLE)
else
GUICtrlSetState($kmmerge, $GUI_CHECKED)
endif
GUISetState()



While 1
$msg = GUIGetMsg()

select



Case $msg = $browsebooks
$getbookies=FileOpenDialog("select bookmarks file", "", "netscape type bookmarks (*.html)", 1 + 4 )
if @error then
;
else
GUICtrlSetData($bookies, $getbookies)
endif




Case $msg = $apply
$impbook=GUICtrlRead($bookies)
$findstate1=GUICtrlRead($kmmerge)

if $findstate1>1 and fileexists($impbook) then
GUICtrlSetState($cancbutton, $GUI_DISABLE)
GUICtrlSetState($kmmerge, $GUI_DISABLE)
GUICtrlSetState($apply, $GUI_DISABLE)
GUICtrlSetState($bookies, $GUI_DISABLE)
GUICtrlSetState($browsebooks, $GUI_DISABLE)
GUICtrlSetData($Label3, "helper: a backup copy of your bookmarks will be in K-Meleon\tools\KMBimporter")
sleep(5000)
FileCopy($targetbook, @scriptdir, 1)
GUICtrlSetData($Label3, "helper: importing your bookmarks is in progress, please wait..")
sleep(1000)
;msgbox(48, $targetbook, $targetbook)
FileCopy(filegetshortname($impbook), filegetshortname($targetbook), 1)
sleep(1000)
GUICtrlSetData($Label3, "helper: imported successfully, remember you can always restore your backup if something went wrong")
GUICtrlSetState($cancbutton, $GUI_ENABLE)
sleep(2000)
GUICtrlSetData($Label3, "helper: k-meleon will need to be restarted before you can use your new bookmarks")
sleep(3000)
GUICtrlSetData($Label3, "helper: KMB will now exit. have a nice day!")
sleep(4000)
exitloop

elseif $findstate1=1 and fileexists($impbook) then
GUICtrlSetState($cancbutton, $GUI_DISABLE)
GUICtrlSetState($kmmerge, $GUI_DISABLE)
GUICtrlSetState($apply, $GUI_DISABLE)
GUICtrlSetState($bookies, $GUI_DISABLE)
GUICtrlSetState($browsebooks, $GUI_DISABLE)
GUICtrlSetData($Label3, "helper: a backup copy of your bookmarks will be in K-Meleon\tools\KMBimporter")
sleep(5000)
FileCopy($targetbook, @scriptdir, 1)
GUICtrlSetData($Label3, "helper: importing your bookmarks is in progress, please wait..")
sleep(1000)

FileCopy($impbook, @scriptdir & "\pendmerge", 1)
sleep(80)
$pendmerge=(@scriptdir & "\pendmerge\bookmarks.html")
$getcount=_FileCountLines($pendmerge)
sleep(444)
$checkend=FileReadLine ($pendmerge , $getcount )
if $checkend=("") then
_FileWriteToLine($pendmerge, $getcount-1, " ", 1)
else
_FileWriteToLine($pendmerge, $getcount, " ", 1)
endif
sleep(1000)
$append=FileRead($pendmerge)
_FileWriteToLine(filegetshortname($targetbook), 1, "  ", 1)
_FileWriteToLine(filegetshortname($targetbook), 2, "  ", 1)
_FileWriteToLine(filegetshortname($targetbook), 3, " ", 1)
_FileWriteToLine(filegetshortname($targetbook), 4, "  ", 1)
_FileWriteToLine(filegetshortname($targetbook), 5, "  ", 1)
_FileWriteToLine(filegetshortname($targetbook), 6, "  ", 1)
_FileWriteToLine(filegetshortname($targetbook), 7, "  ", 1)
_FileWriteToLine(filegetshortname($targetbook), 8, "  ", 1)
_FileWriteToLine(filegetshortname($targetbook), 9, "  ", 1)
_FileWriteToLine(filegetshortname($targetbook), 10, "  ", 1)
sleep(1000)
_FileWriteToLine(filegetshortname($targetbook), 1, $append, 1)
sleep(1000)
GUICtrlSetData($Label3, "helper: imported successfully, remember you can always restore your backup if something went wrong")
GUICtrlSetState($cancbutton, $GUI_ENABLE)
sleep(2000)
GUICtrlSetData($Label3, "helper: k-meleon will need to be restarted before you can use your new bookmarks")
sleep(3000)
GUICtrlSetData($Label3, "helper: KMB will now exit. have a nice day!")
sleep(4000)
exitloop

else
GUICtrlSetData($Label3, "helper: you have selected an invalid bookmark, please try again")
endif

Case $msg = $cancbutton
guidelete()
ExitLoop

Case $msg = $GUI_EVENT_CLOSE
guidelete()
ExitLoop

endselect
WEnd
endfunc
exit

